Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface RemoteApis.RaSNL

Enclosing interface:
  RemoteApis

    public static interface RemoteApis.RaSNL

It is for RA SNL APIs. Not-implemented - leave here as a placeholder for design.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`SNLMessage` | `getRequest()` Gets the request.
`SNLMessage` | `getResponse()` Gets the response.
`void` | `setRequest(SNLMessage request)` Sets the request.
`void` | `setResponse(SNLMessage response)` Sets the response.
`int` | `SwCall()` SwCall.
`int` | `SwCallback()` SwCallback.

Method Detail

### SwCall

    int SwCall()
               throws SAGApplicationException

  SwCall.

  Returns:
    int
  Throws:
    `SAGApplicationException` - upon error.

### SwCallback

    int SwCallback()
                   throws SAGApplicationException

  SwCallback.

  Returns:
    int
  Throws:
    `SAGApplicationException` - upon error.

### getRequest

    SNLMessage getRequest()

  Gets the request.

  Parameters:
    None.

  Returns:
    `SNLMessage` - Returns SNLMessage.
  Throws:
    None.

### getResponse

    SNLMessage getResponse()

  Gets the response.

  Parameters:
    None.

  Returns:
    `SNLMessage` - Returns SNLMessage.
  Throws:
    None.

### setRequest

    void setRequest(SNLMessage request)
                    throws SAGApplicationException

  Sets the request.

  Parameters:
    `request` -
  Throws:
    `SAGApplicationException` - upon error.

### setResponse

    void setResponse(SNLMessage response)
                     throws SAGApplicationException

  Sets the response.

  Parameters:
    `response` -
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.